package com.centerm.smartpos.aidl.memcard;

interface AidlMem2Card{
	/** 修改密码（仅支持V8） */
	boolean changePassword(in byte[] password);
	
	/** 关闭 */
	void close();
	
	/** 擦除操作 */
	boolean eraseData(int address,int len);
	
	/** 打开 */
	void open();
	
	/** 读操作 */
	byte[] read(int address, int len);
	
	/** 复位 */
	boolean reset();
	
	/** 检测卡是否在位 */
	byte status();
	
	/** 密码校验 */
	boolean verifyPassword(in byte[] password);
	
	/** 写操作 */
	boolean write(int address,in byte[] data);
}