package com.centerm.smartpos.aidl.memcard;

interface AidlMemAT24C02{
	
	/** 关闭 */
	boolean close();
	
	/** 打开 */
	boolean open();
	
	/**
	 * 读操作
	 * @param devLoc ： 设备地址
	 * @param dataLoc ： 数据地址
	 * @return
	 * @throws Exception
	 */
	byte[] read(byte devLoc , byte dataLoc);
	
	/**
	 * 写操作
	 * @param devLoc ： 设备地址
	 * @param dataLoc ： 数据地址
	 * @param data： 数据，8字节
	 * @return
	 * @throws Exception
	 */
	boolean write(byte devLoc , byte dataLoc , in byte[] data);

	/** 检测卡是否在位 */
	byte status();
}