package com.centerm.smartpos.aidl.pboc;
import com.centerm.smartpos.aidl.pboc.ParcelableTrackData;
interface AidlCheckCardListener{
 
   /** 检测到磁条卡 */
   void onFindMagCard(in ParcelableTrackData trackdata);
   
   
   /** 刷卡失败 */
   void onSwipeCardFail();
   
   /** 检测到IC卡插入 */
   void onFindICCard();
   
   /** 检测到 RF卡 */
   void onFindRFCard();
   
   /** 检卡超时 */
   void onTimeout();
   
   /** 检卡被取消 */
   void onCanceled();
   
   /** 检卡出错 */
   void onError(int erroCode);
}