package com.centerm.smartpos.aidl.pinpad;

interface PinPadInputPinCallback {
  	/**
	 * 读取PIN
	 * @param len 长度
	 * @param msg 错误信息
	 * @createtor：Administrator
	 * @date:2014-12-9 下午4:05:47
	 */
	void onReadingPin(int len, java.lang.String msg); 
	/**
	 * 取消PIN输入
	 * 
	 * @createtor：Administrator
	 * @date:2014-12-9 下午4:06:11
	 */
	void onReadPinCancel();
	/**
	 * 获取pin异常
	 * 
	 * @createtor：Administrator
	 * @date:2014-12-9 下午4:06:18
	 */
	void onReadPinException();
	/**
	 * 获取PIN成功，如果为空密码则返回长度为0的byte数组
	 * @param pindata
	 * @createtor：Administrator
	 * @date:2014-12-9 下午4:06:28
	 */
	void onReadPinSuccess(in byte[] pindata);
	/**
	 * 输入PIN超时
	 * 
	 * @createtor：Administrator
	 * @date:2014-12-9 下午4:07:03
	 */
	void onReadPinTimeout();
	//获取PIN错误
	void onError(int errCode,String errMsg);
}