package com.centerm.smartpos.aidl.iccard;

interface AidlICCard{
	/**
	 * 打开IC卡设备
	 * 
	 * @createtor：Administrator
	 * @date:2014-12-16 上午12:16:44
	 */
 	void open();
 	/**
 	 * 关闭IC卡设备
 	 * 
 	 * @createtor：Administrator
 	 * @date:2014-12-16 上午12:16:52
 	 */
	void close();
	/**
	 * 终端ＩＣ卡连接
	 * 
	 * @createtor：Administrator
	 * @date:2014-12-16 上午12:17:14
	 */
 	void halt();
 	/**
 	 * IC卡设备复位
 	 * @return
 	 * @createtor：Administrator
 	 * @date:2014-12-16 上午12:17:36
 	 */
 	byte[] reset();
 	/**
 	 * 发送APDU指令
 	 * @return
 	 * @createtor：Administrator
 	 * @date:2014-12-16 上午12:17:47
 	 */
 	byte[] send(in byte[] APDU);
 	/**
 	 * 检测状态
 	 * @return
 	 * @createtor：Administrator
 	 * @date:2014-12-16 上午12:17:57
 	 */
 	byte status();
 	/**
 	 * 异步发送APDU指令
 	 * @return
 	 * @createtor：Administrator
 	 * @date:2014-12-16 上午12:17:47
 	 */
 	byte[] sendAsync(in byte[] APDU);
}