package com.centerm.smartpos.aidl.modem;
interface AidlModem{
   /**打开MODEM*/
   boolean open();
   /**关闭MODEM*/
   boolean close();
   /**获取链接模式*/
   int getConnectionMode();
   /**获取链接状态*/
   int getLinkState();
   /**挂断*/
   boolean hangup();
   /**拨号*/
   int dial(String number);
   /**发送AT命令*/
   String doatcmd(String cmd);
   /**发送接受数据*/
   int sendAndReceiveData(in byte[] senddata,out byte[] receiverbuffer,String tpdu);
   /**设置参数*/
   boolean setParam(byte key , byte value);
   
}