package com.centerm.smartpos.aidl.pboc;

import com.centerm.smartpos.aidl.pboc.AidlPbocDevListener;
interface AidlPboc{
	void open();
	int clearTranslog();
	void searchCard(byte data,byte timeout,AidlPbocDevListener listener);
	int cancelSearchCard();
	boolean updateAIDParam(byte operateFlag,in byte[] aidParam);
	boolean updateCaParam(byte operateFlag,in byte[] caParam);
	void standardDebitAndCreditStartProcInf(in byte[] data,AidlPbocDevListener listener);
	void standardDebitAndCreditKernelProcInf(in byte[] data,AidlPbocDevListener listener);
	void inputOnlineTransData(byte onlineResult,in byte[] iccresponse,in byte[] AckData,AidlPbocDevListener listener);
	void standardDebitAndCreditCompleteProcInf(in byte[] data,AidlPbocDevListener listener);
	int reset(byte type);
	byte[] readCardOfflineBalance(byte slottype,AidlPbocDevListener listener);
	byte[] readCardTransLog(byte slottype,AidlPbocDevListener listener);
	void rfPretreatmentProcess(byte transtype,byte flag,AidlPbocDevListener listener);
	void rfStartProcInf(in byte[] taglist,AidlPbocDevListener listener);
	void rfKernelProcInf(in byte[] taglist,AidlPbocDevListener listener);
	void rfCompleteProcInf(in byte[] data,AidlPbocDevListener listener);
	byte[] readKernelData(in byte[] data);
	byte[] readCardLoadLog(byte cardtype,byte readType,AidlPbocDevListener listener);
	int amountByUser(in byte[] resultData);
	int pinByUser(in byte[] resultData);
	int accTypeSelectByUser(in byte[] resultData);
	int resultOfUserAuthentication(in byte[] data);
	int resultOfAIDSelect(in byte[] data);
	int resultOfIssuerVoiceReference(in byte[] data);
	int resultOfMessageExcute(byte result);
	int resultOfElectricCashTip(in byte[] data);
	int appConfigData(in byte[] data);
	void close();
	boolean setParameters(int index,int value);
	int panInfoConfirm(byte result);
	
	byte[] aidParamRead(in byte[] data);
	byte[] caPublicKeyParamRead(in byte[] data);
}
